Create Group
Create a new protection group in a given pairing.
The ID of a pairing between this Site Recovery Manager server and remote one.
Spec describing the new group.
Show optional properties
{
"name": "string",
"replication_type": "string",
"protected_vc_guid": "string"
}
{
"name": "string",
"description": "string",
"abr_spec": {
"replicated_array_pair": "string",
"datastores": [
"string"
]
},
"hbr_spec": {
"vms": [
"string"
]
},
"vvol_spec": {
"replication_groups": [
{
"fault_domain_id": "string",
"device_group_id": "string"
}
]
},
"vsan_spec": {
"vsan_protection_group": "5304ab73-3aed-4a60-b818-7cd9d3bf503f"
},
"location": "string",
"replication_type": "string",
"protected_vc_guid": "string"
}
The name of the group. Will be overwritten by vSAN protection group.
The description of the group.
Array-based replication details for creation or modification of a protection group.
replicatedArrayPair is the replicated array pair that holds underlying storage devices.
Host-based replication details for creation or modification of the protection group.
VMware vSphere Virtual Volumes (vVols)-based replication details for creation or modification of the protection group.
vSAN-based replication details for creation or modification of a protection group.
The target location where the protection group will be placed. If not specified - the root folder will be used.
Underlying replication type of the protection group:
- UNKNOWN - Unknown replication.
- ABR - Array-based replication.
- HBR - Host-based replication replication.
- VVOL - VVOL-based replication.
- VSAN - VSAN-based replication.
The GUID of the protected site VC.
Protection group creation task.
{
"id": "string",
"description": "string",
"description_id": "string",
"entity": "string",
"entity_name": "string",
"status": "string",
"error": {
"message": "string",
"details": "string"
},
"result": {},
"progress": 0,
"queued_time": 0,
"start_time": 0,
"complete_time": 0,
"_meta": {
"errors": [
{
"code": "string",
"message": "string",
"field": "string"
}
]
}
}
Bad request - the server cannot understand the request due to invalid syntax or invalid request body content
{
"error_code": "string",
"message": "string",
"op_id": "string"
}
The code of the error.
The message of the error.
The ID of the operation.
Unauthorized - the client must authenticate itself to get the requested response
Forbidden - not sufficient access rights to fulfill the request
{
"error_code": "string",
"message": "string",
"op_id": "string"
}
The code of the error.
The message of the error.
The ID of the operation.
Not Found - server cannot find the requested in URL resource
Internal server error - unexpected condition prevents fulfilling the request
"ResponseError Object"
The code of the error.
The message of the error.
The ID of the operation.
curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"name":"string","protected_vc_guid":"string","replication_type":"string"}' https://{api_host}/pairings/{pairing_id}/protection-management/groups